Skip to main content
GET
/
timmi-project
/
api
/
v4
/
projects
/
{id}
/
project-services
List a Project's Services
curl --request GET \
  --url https://{host}/timmi-project/api/v4/projects/{id}/project-services \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/timmi-project/api/v4/projects/{id}/project-services"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/timmi-project/api/v4/projects/{id}/project-services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next": "<string>",
  "prev": "<string>",
  "count": 1,
  "items": [
    {
      "name": "<string>",
      "id": 2,
      "code": "<string>",
      "description": "<string>",
      "jobQualificationRate": {
        "id": 2,
        "standardRateCardId": 2,
        "jobQualificationId": 2,
        "jobQualification": {
          "id": 2,
          "name": "<string>"
        },
        "isBillable": true,
        "billingRate": {
          "price": {
            "amount": 123
          }
        },
        "costRate": {
          "price": {
            "amount": 123
          }
        }
      },
      "status": "ongoing",
      "initialTimeEstimate": {
        "value": 123,
        "iso": "<string>"
      },
      "revisedTimeEstimate": {
        "value": 128,
        "iso": "P5DT8H",
        "unit": "hour"
      },
      "initialBudget": {
        "amount": 123
      },
      "revisedBudget": {
        "amount": 123
      },
      "estimatedOverrun": {
        "amount": 123
      },
      "billRate": {
        "price": {
          "amount": 123
        }
      },
      "price": {
        "amount": 123
      },
      "discount": {
        "amount": 123
      },
      "discountRate": 123,
      "subContractingRelationship": "none",
      "subcontractingFixedCost": {
        "amount": 123
      },
      "subcontractingCostRate": {
        "price": {
          "amount": 123
        }
      },
      "subcontractingProjectId": 2,
      "createdAt": "2023-11-07T05:31:56Z",
      "lastModifiedAt": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
string
required

Id of the project

Response

OK

next
string<uri> | null
prev
string<uri> | null
count
integer | null
Required range: x >= 0
items
The Project Service resource · object[]